import React,{Component} from 'react'

import { Switch, Route, Redirect } from 'react-router-dom';
import LiveRoute from 'react-live-route'
import Pxiame from './Pxiame'
import Pxisel from './Pxisel'
import Pxiadd from './Pxiadd'

import "./index.less"

const moduleBasePath = "/business/pxi/"

export default function moduleRouter(props){
     return <React.Fragment>
        
            <Route exact path={`${moduleBasePath}ame/:id`} component={Pxiame} />
            <LiveRoute exact path={`${moduleBasePath}sel`} livePath={`${moduleBasePath}ame/:id`} component={Pxisel} />
            <Route exact path={`${moduleBasePath}add`} component={Pxiadd} />
        
    </React.Fragment>
}